diff options
| author | Bruce Hill <bruce@bruce-hill.com> | 2025-04-25 15:54:51 -0400 |
|---|---|---|
| committer | Bruce Hill <bruce@bruce-hill.com> | 2025-04-25 15:54:51 -0400 |
| commit | 878976eccf34de81b03611915485ff22ed0f819f (patch) | |
| tree | f962c2d176ba14ff31448f35e69bbc0b3f7e34c4 /Makefile | |
| parent | 4209822ce7e7842adb8f9892c8a988c598050397 (diff) | |
Check for debugedit
Diffstat (limited to 'Makefile')
| -rw-r--r-- | Makefile | 2 |
1 files changed, 2 insertions, 0 deletions
@@ -169,6 +169,8 @@ check-utilities: check-c-compiler || { printf '\033[31;1m%s\033[m\n' "I couldn't find 'nm' on your system! Try installing the package 'binutils' with your package manager."; exit 1; } @which awk 2>/dev/null >/dev/null \ || { printf '\033[31;1m%s\033[m\n' "I couldn't find 'awk' on your system! Try installing the package 'awk' with your package manager."; exit 1; } + @which debugedit 2>/dev/null >/dev/null \ + || { printf '\033[33;1m%s\033[m\n' "I couldn't find 'debugedit' on your system! Try installing the package 'debugedit' with your package manager. (It's not required though)"; exit 1; } install-files: build/bin/tomo build/lib/$(LIB_FILE) build/lib/$(AR_FILE) check-utilities @if ! echo "$$PATH" | tr ':' '\n' | grep -qx "$(PREFIX)/bin"; then \ |
